
.signal .header-bullet {
    font-size: 6rem;
    line-height: 50%;
    margin-top: -0.1rem;
    margin-left: -0.3rem;
    margin-right: 0.7rem;
}

@media (max-width: 767.98px) {
    .signal .header-bullet {
        font-size: 5rem;
        margin-top: -0.3rem;
        margin-right: 0.5rem;
    }
}

.signal .company-symbol {
    font-size: 2rem;
    color: var(--text-title);
}

@media (max-width: 767.98px) {
    .signal .company-symbol {
        font-size: 1.5rem;
    }
}

.signal .company-name {
    margin-top: 0.2rem;
    color: var(--text-secondary);
}

.signal .amount, .signal .no-activity {
    white-space: nowrap;
}

.signal .amount {
    font-size: 2rem;
    font-weight: 500;
    color: var(--text-title);
}

.signal .no-activity {
    font-size: 1.5rem;
    color: var(--text-secondary);
    padding-bottom: 0.5rem;
}

@media (max-width: 767.98px) {
    .signal .amount, .signal .no-activity {
        font-size: 1.5rem;
    }

    .signal .no-activity {
        font-size: 1rem;
        padding-top: 0.3rem;
    }
}

.signal .signal-type {
    margin-top: 0.1rem;
}

.signal .badge {
    font-size: 1em;
    font-weight: 500;
    padding: 0.2rem 0.7rem 0.3rem 0.7rem;
}

@media (max-width: 767.98px) {
    .signal .badge {
        font-size: 0.85em;
    }
}

.signal .rounded-box.chart {
    margin-top: 2rem;
    margin-bottom: 2rem;
    padding: 1rem 2rem;
}

.signal .chart-box {
    height: 300px;
}

.chart .chart-title {
    text-align: center;
    margin-bottom: 0.25rem;
    font-size: 1rem;
    color: var(--text-secondary);
}

@media (max-width: 767.98px) {
    .signal .rounded-box.chart {
        padding: 0.75rem;
        margin-top: 1.5rem;
        margin-bottom: 1.5rem;
    }

    .signal .chart-box {
        height: 200px;
    }

    .chart .chart-title {
        font-size: 0.9rem;
    }
}

.signal .grid {
    grid-template-columns: auto 1fr;
    row-gap: 0.5rem;
}

.signal .grid-label {
    color: var(--text-secondary);
    padding-right: 1rem;
}

.signal h3 {
    text-align: left;
}

.signal h3.summary {
    margin-top: 0;
    margin-bottom: 1rem;
}

.signal .table-role {
    color: var(--text-secondary);
}

.signal .sec-url svg {
    width: 16px;
    height: 16px;
    position: relative;
    bottom: 2px;
}

.signal .sec-url {
    color: var(--text-secondary);
}

.signal .sec-url a {
    color: var(--text-secondary);
    transition: color 0.2s ease;
}

.signal .sec-url a:active, .signal .sec-url a:hover {
    color: var(--text-primary);
}
